Bug 469444 - [All Partners 5.3 bug] allow both ACPI code paths to use the same blacklist dmi_table correctly
[All Partners 5.3 bug] allow both ACPI code paths to use the same blacklist d...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
high Severity high
: rc
: ---
Assigned To: Andy Gospodarek
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-31 17:17 EDT by Don Zickus
Modified: 2014-06-29 19:00 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:44:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 Don Zickus 2008-11-04 11:51:50 EST
in kernel-2.6.18-122.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 6 Andrius Benokraitis 2008-11-12 10:54:29 EST
Description of problem (for all partners):

On certain OEM systems RHEL-5.3 doesn't install due to nic re-ordering. 

One workaround we used was during kickstart add ksdevice=bootif to make sure we
get the right mac address to connect with.  Unfortunately this caused the
install to use eth1 instead of eth0, which is a difference with regards to
RHEL-5.2.

After bringing in Andy G., he noticed that pci=bfsort wasn't being used like it
was in the 5.2 kernel.  Poking around, he noticed a split path in the acpi
code.  In the legacy pci path, the kernel would lookup the dmi_table entries
for all the blacklisted boxes and perform the correct pci sorting algorithm. 
However, on newer boxes that chose the normal acpi code path, this table was
bypassed.  This was the bug.

Andy has backported an upstream patch that allows both acpi code paths to use
the same blacklist dmi_table correctly.

Version-Release number of selected component (if applicable):
latest 5.3 kernel

How reproducible: very

NOTE TO ALL PARTNERS: Please post positive/negative testing results in this bugzilla.
Comment 8 Chris Ward 2008-11-28 02:02:08 EST
~~ Attention ~~ We Need Testing Feedback Soon ~~

We're nearing the end of the Red Hat Enterprise Linux 5.3 Testing Phase and this bug has not yet been VERIFIED. This bug should be fixed in the latest RHEL53 Beta Snapshot. It is critical that we receive your feedback ASAP. Otherwise, this bug is at risk of being dropped from the release. 

If you encounter any new issues, CLONE this bug and describe the new issues you are facing. We are no longer excepting NEW bugs into the release, bar critical regressions and blocker issues.

If you have VERIFIED this fix, add CustomerVerified to the Bugzilla Keywords, along with a description of the test results.
Comment 10 Chris Ward 2008-12-04 05:20:22 EST
Ron, ^^^ #9
Comment 11 Chris Ward 2008-12-08 06:53:18 EST
~~ Snapshot 5 is now available @ partners.redhat.com ~~ 

Partners, RHEL 5.3 Snapshot 5 is now available for testing. Please send us your testing feedback on this important bug fix / feature request AS SOON AS POSSIBLE. If you are unable to test, indicate this in a comment or escalate to your Partner Manager. If we do not receive your test feedback, this bug will be AT RISK of being dropped from the release.

If you have VERIFIED the fix, please add PartnerVerified to the Bugzilla
Keywords field, along with a description of the test results. 

If you encounter a new bug, CLONE this bug and request from your Partner
manager to review. We are no longer excepting new bugs into the release, bar
critical regressions.
Comment 13 Ronald Pacheco 2008-12-08 13:20:14 EST
Sandy and Tony,

Can HP test this patch and report results here?  Thanks!
Comment 14 Tony Camuso 2008-12-08 14:11:20 EST
Ron, 

I'll see your info request and raise you one.
:)
Comment 15 Tony Camuso 2008-12-08 14:13:02 EST
Can we be more specific about which newer boxes had the problem?

Was it all ProLiant G5? 

It would make testing go a lot faster.
Comment 16 Ronald Pacheco 2008-12-08 19:29:59 EST
Tony,

We have a customer report on the bl460c.  Of course, we need to also test the systems that CME has deployed.
Comment 18 Chris Ward 2008-12-16 11:29:24 EST
~~~ Attention Partners ~~~ The *last* RHEL 5.3 Snapshot 6 is now available at partners.redhat.com. A fix for this bug should be present. Please test and update this bug with test results as soon as possible.  If the fix present in Snap6 meets all the expected requirements for this bug, please add the keyword PartnerVerified. If any new bugs are discovered, please CLONE this bug and describe the issues encountered there.
Comment 19 Ronald Pacheco 2008-12-16 16:33:18 EST
Sandy,

Has your team tested this?  If so, can you post results here?  Thanks!
Comment 20 Chris Ward 2009-01-05 07:31:27 EST
Ping, Update status?
Comment 25 errata-xmlrpc 2009-01-20 14:44:10 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.